/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core;

import java.security.GeneralSecurityException;

/**
 * Indicates an issue when
 * {@linkplain LicenseVendorManager#create creating},
 * {@linkplain LicenseConsumerManager#install installing},
 * {@linkplain LicenseConsumerManager#view viewing},
 * {@linkplain LicenseConsumerManager#verify verifying} or
 * {@linkplain LicenseConsumerManager#uninstall uninstalling} a license key.
 *
 * @author Christian Schlichtherle
 */
public class LicenseManagementException extends GeneralSecurityException {

    private static final long serialVersionUID = 1L;

    public LicenseManagementException() { }

    public LicenseManagementException(Throwable cause) { super(cause); }
}
