/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core.io;

import java.io.IOException;
import java.io.InputStream;

/**
 * An abstraction for reading binary data.
 *
 * @see    Sink
 * @author Christian Schlichtherle
 */
public interface Source {

    /**
     * Returns a new input stream for reading the binary data from this source.
     * The caller is responsible for closing the returned stream.
     */
    InputStream input() throws IOException;
}
